import React, { PureComponent } from "react"; /* eslint-disable-line */
import { View, Text } from "react-native"; /* eslint-disable-line */
import IconIOS from 'react-native-vector-icons/Ionicons';

export default class EmptyComponent extends PureComponent {
  render() {
    const { style, emptyText } = this.props;
    return (
      <View
        style={[{
          paddingVertical: 200,
          alignItems: 'center',
          justifyContent: 'center',
          backgroundColor: 'transparent'
        }, style]}>
        <IconIOS
          name="ios-folder-open"
          size={40}
          color="#333"
        />
        <Text
          style={{
            fontSize: 18,
            color: '#333'
          }}>{emptyText}</Text>
      </View>
    );
  }
}

EmptyComponent.defaultProps = {
  emptyText: 'Empty'
};
