import React, { Component } from "react"; /* eslint-disable-line */
import { ActivityIndicator, View } from "react-native"; /* eslint-disable-line */

export default class Loading extends Component {
  constructor(props) {
    super(props);
    this.state = {
      loading: props.disable === true ? false : true
    };
  }

  onOpen() {
    this.setState({
      loading: true
    });
  }

  onClose() {
    this.setState({
      loading: false
    });
  }

  render() {
    const { style, color, size, backgroundColor, pointerEvents } = this.props;
    const { loading } = this.state;
    if (!loading) {
      return null;
    }
    return (
      <View
        pointerEvents={pointerEvents}
        style={[{
          flex: 1,
          position: 'absolute',
          top: 0,
          left: 0,
          right: 0,
          bottom: 0,
          alignItems: 'center',
          justifyContent: 'center',
          backgroundColor: backgroundColor || '#fff'
        }, style]}>
        <ActivityIndicator
          {...this.props}
          color={color || '#1565C0'}
          size={size || "large"}
        />
      </View>
    );
  }
}
